import { requestClient } from '#/api/request';

const prefix = 'monthly-payment/';
/**
 * 月付账单记录
 * @param data
 */
export async function getMonthlyPaymentListApi(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}

/**
 * 结算
 * @param data
 */
export async function settlementApi(data: any) {
  return requestClient.post<any>(`${prefix}settlement`, data);
}


/**
 * 作废订单
 * @param data
 */
export async function invalidatedApi(data: any) {
  return requestClient.post<any>(`${prefix}invalidated`, data);
}
